org.apache.flume.thrift

## Class ThriftSourceProtocol

- java.lang.Object
- - org.apache.flume.thrift.ThriftSourceProtocol

-     public class ThriftSourceProtocol
      extends Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ThriftSourceProtocol.append_args`
    `static class` | `ThriftSourceProtocol.append_result`
    `static class` | `ThriftSourceProtocol.appendBatch_args`
    `static class` | `ThriftSourceProtocol.appendBatch_result`
    `static class` | `ThriftSourceProtocol.AsyncClient`
    `static interface` | `ThriftSourceProtocol.AsyncIface`
    `static class` | `ThriftSourceProtocol.Client`
    `static interface` | `ThriftSourceProtocol.Iface`
    `static class` | `ThriftSourceProtocol.Processor<I extends ThriftSourceProtocol.Iface>`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ThriftSourceProtocol()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ThriftSourceProtocol

          public ThriftSourceProtocol()

Copyright © 2009-2016 Apache Software Foundation. All Rights Reserved.